import { Args, Flags } from '@oclif/core';
import BaseCommand from '../../lib/baseCommand.js';
import ImageAccessDetailsDisplayer from '../../lib/images/imageAccessDetailsDisplayer.js';
export default class ImagesDockerAccess extends BaseCommand {
    static args = {
        name: Args.string({ description: 'Name of the image', required: true }),
    };
    static description = 'Retrieve registry access details for an image';
    static flags = {
        force: Flags.boolean({ char: 'f', description: 'Force retrieval of new credentials' }),
    };
    async runImpl() {
        const displayer = new ImageAccessDetailsDisplayer(this.parsedArgs.name);
        await displayer.display(this.parsedFlags.force);
    }
}
